import request from '@/utils/request'

// 查询设备完整性泵台账列表
export function listPump(query) {
  return request({
    url: '/intact/pump/list',
    method: 'get',
    params: query
  })
}

// 查询设备完整性泵台账详细
export function getPump(id) {
  return request({
    url: '/intact/pump/' + id,
    method: 'get'
  })
}

/**
 * 查询设备完整性泵台账的历史改造记录
 */
 export function getTIntactHiPumpByReform(devId) {
  return request({
    url: '/his/pump/reform/' + devId,
    method: 'get'
  })
}

// 新增设备完整性泵台账
export function addPump(data) {
  return request({
    url: '/intact/pump',
    method: 'post',
    data: data
  })
}

// 修改设备完整性泵台账
export function updatePump(data) {
  return request({
    url: '/intact/pump',
    method: 'put',
    data: data
  })
}

// 删除设备完整性泵台账
export function delPump(id) {
  return request({
    url: '/intact/pump/' + id,
    method: 'delete'
  })
}

// 导出设备完整性泵台账
export function exportPump(query) {
  return request({
    url: '/intact/pump/export',
    method: 'get',
    params: query
  })
}